<div class="background">
    <div class="container">
        <div class="main-container">

            <div class="top-cell top-cell-left" *ngIf="playlist">
                <div class="top-cell-left-content">
                    <mat-card style="max-width: 400px;">

                        <mat-card-title style="text-align: center;">
                            <span class="playlist-title">{{ playlist.name }}</span>
                        </mat-card-title>

                        <mat-card-header style="padding-bottom: inherit;">
                            <img class="image" src="{{ currentTrack ? currentTrack.albumPictureUrl : playlist.pictureUrl }}" alt="Playlist photo">
                        </mat-card-header>

                        <mat-card-content  style="padding-top: inherit;">

                            <div style="text-align: center;" *ngIf="currentTrack">
                                <div class="details-title" >
                                    <span >{{ currentTrack.title }}</span>
                                </div>
                                <span class="details-artist">{{ currentTrack.artist }}</span>
                                <br>
                                <span class="details-artist">{{ currentTrack.genre }}</span>
                            </div>
                            
                        </mat-card-content>

                    </mat-card>
                </div>
            </div>

            <aside class="top-cell top-cell-left" *ngIf="playlist">
                <mat-card>

                    <mat-card-title>
                        <span class="description">{{ playlist.tracksCount }} tracks  ·  {{ playlist.totalPlaytime | minutes }}</span>
                        <button mat-button color="accent" (click)="shuffleTracks()">Shuffle Tracks</button>
                        <mat-list class="playlist-tracks">

                            <mat-list-item class="playlist-track-header">
                
                                <div class="playlist-track-title-header">
                                    <span>Title</span>
                                </div>
                
                                <div class="playlist-track-artist-header">
                                    <span>Artist</span>
                                </div>

                                <div class="playlist-track-duration-header">
                                    <span>Duration</span>
                                </div>
                            </mat-list-item>

                        </mat-list>
                    </mat-card-title>

                    <mat-card-content>
                        <div  class="scrolling-wrapper">

                            <mat-list class="playlist-tracks">

                                <div *ngFor="let track of playlist.tracks; let i = index">
                                        <mat-list-item class="playlist-track">
                    
                                            <div class="playlist-track-play-preview">
                                                <span  class="icon-align-middle">
                                                    <div *ngIf="currentTrack">
                                                        <app-audio-player *ngIf="currentTrack.id === track.id"  [src]="currentTrack.preview" [autoplay]="false" [showStateLabel]="false"></app-audio-player>
                                                    </div>

                                                    <a id="{{ 'track' + i }}" class="play-preview" (click)="renderTrack(track, i)" mat-icon-button>
                                                            <div class="photo" style="background-image: url({{track.albumPictureUrl}});">
                                                                <span class="play-icon">
                                                                    <mat-icon style="color: #f7439a; padding-top: 8px;z-index: 10;">play_circle_outline</mat-icon>
                                                                </span>
                                                            </div>
                                                            <!-- <img class="photo" src="{{ track.albumPictureUrl }}" alt="Track photo"> -->
                                                    </a>
                                                </span>
                                            </div>
                            
                                            <div class="playlist-track-title">
                                                <span>{{ track.title }}</span>
                                            </div>
                            
                                            <div class="playlist-track-link">
                                                <a class="track-link" mat-icon-button href="{{ track.trackLink }}"  matTooltip="Listen to full song">
                                                    <mat-icon>link</mat-icon>
                                                </a>
                                            </div>

                                            <div class="playlist-track-artist">
                                                <span>{{ track.artist }}</span>
                                            </div>

                                            <div class="playlist-track-duration">
                                                <span>{{ track.duration | minutes }}</span>
                                            </div>
                                        </mat-list-item>

                                </div>
                                
                            </mat-list>
                        
                        </div>
                    </mat-card-content>
                </mat-card>
            </aside>

        </div>
    </div>
</div>
  

  
  